Subject: Re: bug#7460: 23.2.90; temacs needs LANG=C, build will fail if not.
From: Jan Djärv <[email-masked]>
Cc: [email-masked]
Date: Tue, 23 Nov 2010 18:00:29 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Gnustep calls setlocale frequently and undo what fixup_locale does.  Gnustep 
and Emacs seem to be so broken (it just crashes) I don't think this is worth 
fixing.  It might not even be possible as Gnustep makes these calls often.

Closing.

	Jan D.

Jan Djärv skrev 2010-11-23 07.32:
>
>
> Andreas Schwab skrev 2010-11-22 23.46:
>> Jan Djärv<[email-masked]> writes:
>>
>>> Any idea what I should look at? The string in Fread_from_string is
>>> "#s(hash-table size 65 test eql rehash-size 1,5 rehash-threshold 0,8 data ())"
>>>
>>> but how to figure out where it comes from?
>>
>> Probably here (subr.el):
>>
>> ;; The following statement ought to be in print.c, but `provide' can't
>> ;; be used there.
>> (when (hash-table-p (car (read-from-string
>> (prin1-to-string (make-hash-table)))))
>> (provide 'hashtable-print-readable))
>>
>
> Thanks. Something is strange, fixup_locale is called, but it doesn't seem to
> have any effect. Maybe Gnustep overrides the setting? I will debug some more.
>
> Jan D.
>
>